%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Crypt-Rijndael_PP
%define modv   0.05
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       The Rijndael encryption algorithm in Pure Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/D/DE/DELTA/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Christian Lackas <delta@lackas.net>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.4
BuildRequires: perl(Crypt::Rijndael)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:     noarch


%description
Crypt::Rijndael_PP is a Pure Perl implementation of the new Rijndael (AES)
algorithm.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Thu Nov 11 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.05-1
- New version (0.05)

* Mon Jun 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.04-1
- Initial build
